Bug 477986 - No more 1280x1024 Mode with xorg-x11-drv-geode-2.11.0-1.fc10.i386
No more 1280x1024 Mode with xorg-x11-drv-geode-2.11.0-1.fc10.i386
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-geode (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-26 18:49 EST by billiboy
Modified: 2009-12-18 02:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:24:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log of working driver (28.81 KB, text/plain)
2008-12-26 18:50 EST, billiboy
no flags Details
Log of nonworking driver (26.62 KB, text/plain)
2008-12-26 18:51 EST, billiboy
no flags Details
Used xorg.conf (1.24 KB, text/plain)
2008-12-26 18:52 EST, billiboy
no flags Details

  None (edit)
Description billiboy 2008-12-26 18:49:16 EST
Description of problem:
No more 1280x1024 Mode with xorg-x11-drv-geode-2.11.0-1.fc10.i386

How reproducible:
update to new version

Steps to Reproduce:

Boot up F10-i686-Live-KDE                                                                                                                                                            
replace /etc/X11/xorg.conf with attached xorg.conf                                                                                                                                   
(because hardwired xorg.conf for geode)                                                                                                                                              
Leave -> Logout to restart X                                                                                                                                                         
=> Xorg.0.log.geode-2.10.1                                                                                                                                                           
Mode 1280x1024 is working as expected                                                                                                                                                
yum update xorg-drv-geode                                                                                                                                                            
restart X                                                                                                                                                                            
=> Xorg.0.log.geode-2.11.0                                                                                                                                                           
Mode 1280x1024 no longer working                                                                                                                                                     
                                                                                                                                                                                     
In  Xorg.0.log.geode-2.10.1 is this:                                                                                                                                                 
                                                                                                                                                                                     
(II) GEODE(0): Printing DDC gathered Modelines:                                                                                                                                      
(II) GEODE(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)                                                                   
                                                                                                                                                                                     
In Xorg.0.log.geode-2.11.0 is this:                                                                                                                                                  
                                                                                                                                                                                     
(II) GEODE(0): Printing probed modes for output default                                                                                                                              
(II) GEODE(0): Modeline "1028x1024"x60.0  108.00  1028 1328 1440 1688  1024 1025 1028 1066 -hsync -vsync (64.0 kHz)
Comment 1 billiboy 2008-12-26 18:50:21 EST
Created attachment 327870 [details]
Log of working driver
Comment 2 billiboy 2008-12-26 18:51:36 EST
Created attachment 327871 [details]
Log of nonworking driver
Comment 3 billiboy 2008-12-26 18:52:16 EST
Created attachment 327872 [details]
Used xorg.conf
Comment 4 Warren Togami 2008-12-26 19:38:57 EST
I was asked to update to this new version of the geode driver by the OLPC folks.  I personally don't know much about this, so you really need to talk to upstream X.org about this issue and file a bug in their bugzilla.

http://wiki.x.org/wiki/AMDGeodeDriver
Details here.  See the link to their Bugzilla.
Comment 5 billiboy 2009-10-10 13:46:27 EDT
There is no response to the upstream bugreport till now.                        
Probing of mode 1280x1024 is still broken.                                      
This Line in the "Section Device"                                               
  Option     "PanelMode" "108000 1280 1328 1440 1688 1024 1025 1028 1066"       
can be used as a workaround.
Comment 6 Bug Zapper 2009-11-18 05:34:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:24:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.